Bug 1255645 - Remove replace-brick with data migration support from gluster cli
Remove replace-brick with data migration support from gluster cli
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.6.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Satish Mohan
: Triaged
Depends On: 1074429 1094119 1212701
Blocks: 1074415 1218602
  Show dependency treegraph
 
Reported: 2015-08-21 05:09 EDT by Gaurav Kumar Garg
Modified: 2016-08-01 00:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1094119
Environment:
Last Closed: 2016-08-01 00:42:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaurav Kumar Garg 2015-08-21 05:09:22 EDT
+++ This bug was initially created as a clone of Bug #1094119 +++

+++ This bug was initially created as a clone of Bug #1074429 +++

Description of problem:
-----------------------
Replace brick operation with data migration has been deprecated.
And this support for "replace-brick" with data migration should be removed from gluster-cli

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
RHS 2.1 Update2 - glusterfs-3.4.0.59rhs-1.el6rhs

How reproducible:
-----------------
Not Applicable

Steps to Reproduce:
-------------------
Not Applicable

Actual results:
---------------
replace-brick with data migration was allowed from gluster-cli

Expected results:
-----------------
replace-brick with data migration should not be allowed

Additional info:
----------------
I ran in to data corruption / data loss cases, when performing replace brick using "replace-brick" command.

It is high-time to disable this replace-brick with data migration from gluster-cli

But replace-brick with force commit could be a useful scenario, where the dead brick could be replaced with new brick, without data migration.
So, replace-brick with "commit force", should only allowed from gluster-cli

--- Additional comment from Anand Avati on 2015-04-01 08:34:11 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-04-02 06:44:06 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#2) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-04-20 15:37:07 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#3) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-04-25 05:48:11 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#4) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-04-30 05:09:28 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#5) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-04-30 09:23:49 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#6) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-05-02 14:57:23 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#7) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-05-04 04:47:37 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#8) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-05-05 21:08:44 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#10) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Anand Avati on 2015-05-06 02:47:23 EDT ---

REVIEW: http://review.gluster.org/10101 (glusterd: remove replace brick with data migration support form cli/glusterd) posted (#11) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

--- Additional comment from Anand Avati on 2015-05-07 03:06:48 EDT ---

COMMIT: http://review.gluster.org/10101 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit 07e3f407b311c80e3437b1f650cae62f814d995b
Author: Gaurav Kumar Garg <ggarg@redhat.com>
Date:   Fri Mar 27 15:20:03 2015 +0530

    glusterd: remove replace brick with data migration support form cli/glusterd
    
    Replace-brick operation with data migration support have been
    deprecated from gluster.
    
    With this fix replace brick command will support only one commad
    
    gluster volume replace-brick <VOLNAME> <SOURCE-BRICK> <NEW-BRICK> {commit force}
    
    Change-Id: Ib81d49e5d8e7eaa4ccb5830cfec2bc081191b43b
    BUG: 1094119
    Signed-off-by: Gaurav Kumar Garg <ggarg@redhat.com>
    Reviewed-on: http://review.gluster.org/10101
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
Comment 3 Atin Mukherjee 2016-08-01 00:42:03 EDT
This is not a security bug, not going to fix this in 3.6.x because of
http://www.gluster.org/pipermail/gluster-users/2016-July/027682.html
Comment 4 Atin Mukherjee 2016-08-01 00:43:41 EDT
If the issue persists in the latest releases, please feel free to clone them

Note You need to log in before you can comment on or make changes to this bug.